PDA

View Full Version : Apt & Fedora 3 (64)



chadauld
22nd November 2004, 01:29 AM
Has anyone gotten apt to install on Fedora 3 (64) yet? I grabbed the Fedora 3 rpm from http://apt.freshrpms.net/ . I keep getting the following errors:

error: Failed dependencies:
librpm-4.3.so is needed by apt-0.5.15cnc6-1.1.fc3.fr.i386
librpmdb-4.3.so is needed by apt-0.5.15cnc6-1.1.fc3.fr.i386
librpmio-4.3.so is needed by apt-0.5.15cnc6-1.1.fc3.fr.i386

Any ideas?

Jman
22nd November 2004, 08:23 AM
All of those come with rpm. Query rpm itself with
rpm -q rpm You should get rpm 4.3 something.

chadauld
22nd November 2004, 02:25 PM
I ram "rpm -q rpm" and got this back: rpm-4.3.2-21. Tried running the apt rpm again with "rpm -ivh apt-0.5.15cnc6-1.1.fc3.fr.i386.rpm". Still getting the same "failed dependencies" error. It's saying that the 4.3.so's are needed, but shouldn't I have them if I have 4.3.2-21 installed?